package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.MwrHaz;

/**
 * 水利危险源 数据层
 */
@Mapper
public interface MwrHazMapper {

    /**
     * 查询水利危险源信息
     * @param guid 查询条件
     * @return 水利危险源信息
     */
    MwrHaz selectMwrHazByGuid(String guid);

    /**
     * 查询水利危险源列表
     * @param mwrHaz 水利危险源查询条件
     * @return 水利危险源集合
     */
    List<MwrHaz> selectMwrHazList(MwrHaz mwrHaz);

    /**
     * 新增水利危险源
     * @param mwrHaz 水利危险源信息
     * @return 影响行数
     */
    int insertMwrHaz(MwrHaz mwrHaz);

    /**
     * 修改水利危险源
     * @param mwrHaz 水利危险源信息
     * @return 影响行数
     */
    int updateMwrHaz(MwrHaz mwrHaz);

    /**
     * 删除水利危险源
     * @param guid 水利危险源主键
     * @return 影响行数
     */
    int deleteMwrHazByGuid(String guid);

    /**
     * 批量删除水利危险源
     * @param guids 水利危险源主键数组
     * @return 影响行数
     */
    int deleteMwrHazByGuids(String[] guids);
}
